/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Desenvolvimento
 */
public class RenderTaxaEmbarqueOrgao implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        OrgaoConcedente orgao = (OrgaoConcedente) o;

        Listcell lc = new Listcell(orgao.getOrgaoConcedenteId()==null?"-":orgao.getOrgaoConcedenteId().toString());
        lc.setParent(lstm);

        lc = new Listcell(orgao.getDescOrgao());
        lc.setParent(lstm);

        lstm.setAttribute("data", orgao);
    }

}
